"use client";
import Link from "next/link";
import styles from "./footer.module.scss";

export const Footer = () => {
  const scrollToTop = () => {
    window.scrollTo({
      top: 0,
      behavior: "smooth",
    });
  };

  return (
    <footer className={styles.footer}>
      <div className={styles.contact}>
        <ul className={styles.contactList}>
          <li className={styles.contactItem}>
            <h2>Følg oss</h2>
            <ul>
              <li>
                <a href="#" target="_blank">
                  Instagram
                </a>
              </li>
              <li>
                <a href="#" target="_blank">
                  Facebook
                </a>
              </li>
              <li>
                <a href="#" target="_blank">
                  Twitter
                </a>
              </li>
              <li>
                <a href="#" target="_blank">
                  Flickr
                </a>
              </li>
            </ul>
          </li>
          <li className={styles.contactItem}>
            <h2>Kontakt oss</h2>
            <p>
              Generell kontaktinfo
              <br />
              Billetter
              <br />
              Hittegods
              <br />
              Telefon/mail?
              <br />
              Lenke til kontakt/ansatte?
            </p>
          </li>
          <li className={styles.contactItem}>
            <h2>Besøk oss</h2>
            <p>
              Det Norske Studentersamfund
              <br />
              Slemdalsveien 15
              <br />
              0369 Oslo
              <br />
              <a href="#" target="_blank">
                Vis i Google Maps
              </a>
            </p>
          </li>
          <li className={styles.contactItem}>
            <h2>Åpningstider</h2>
            <p>
              Glassbaren
              <br />
              Andre lokaler?
              <br />
              Generelle åpningstider?
            </p>
          </li>
        </ul>
      </div>
      <button onClick={scrollToTop}>Til toppen</button>
    </footer>
  );
};
